hledger-0.26: The main command-line interface for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Histogram

Description

Print a histogram report. (The "activity" command).

Synopsis

- activitymode :: Mode RawOpts
- barchar :: Char
- histogram :: CliOpts -> Journal -> IO ()
- showHistogram :: ReportOpts -> Query -> Journal -> String
- printDayWith :: (PrintfType t1, PrintfArg t2) => (t -> t2) -> (DateSpan, t) -> t1
- countBar :: Foldable t => t a -> [Char]

# Documentation

activitymode :: Mode RawOpts Source

barchar :: Char Source

histogram :: CliOpts -> Journal -> IO () Source

Print a histogram of some statistic per reporting interval, such as number of postings per day.

showHistogram :: ReportOpts -> Query -> Journal -> String Source

printDayWith :: (PrintfType t1, PrintfArg t2) => (t -> t2) -> (DateSpan, t) -> t1 Source

countBar :: Foldable t => t a -> [Char] Source